# module Raven::Rails::Overrides::OldDebugExceptionsCatcher

### Public Class Methods

included(base) click to toggle source

    # File lib/raven/integrations/rails/overrides/debug_exceptions_catcher.rb, line 16
    def self.included(base)
      base.send(:alias_method_chain, :render_exception, :raven)
    end

### Public Instance Methods

render_exception_with_raven(env_or_request, exception) click to toggle source

    # File lib/raven/integrations/rails/overrides/debug_exceptions_catcher.rb, line 20
    def render_exception_with_raven(env_or_request, exception)
      begin
        env = env_or_request.respond_to?(:env) ? env_or_request.env : env_or_request
        Raven::Rack.capture_exception(exception, env)
      rescue # rubocop:disable Lint/HandleExceptions
      end
      render_exception_without_raven(env_or_request, exception)
    end